/* ====================================================================
 * Copyright (c) 2003-2007, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "MacStyle.h"

#if defined SC_ENABLE_STYLE

// qt
#include <QtGui/QPainter>
#include <QtGui/QStyleOption>
#include <QtGui/QStyleOptionComplex>


MacStyle::MacStyle() : super()
{
}

MacStyle::~MacStyle()
{
}

void MacStyle::drawPrimitive( PrimitiveElement pe, const QStyleOption* so,
  QPainter* painter, const QWidget* widget ) const
{
  super::drawPrimitive( pe, so, painter, widget );
}

void MacStyle::drawComplexControl( ComplexControl control, const QStyleOptionComplex* so,
  QPainter* painter, const QWidget* widget ) const
{
  return super::drawComplexControl( control, so, painter, widget );
} 

#endif // SC_ENABLE_STYLE
